%define debug_package %{nil}
%global python2_sitelib /usr/lib/python2.7/site-packages
%define python_version 2.7
Name:           python-paramiko
Version:        1.17.4
Release:        1%{?dist}
Summary:        The leading native Python SSHv2 protocol library.
License:        LGPL-2.1
URL:            https://github.com/paramiko/paramiko
Source:         %{name}-%{version}.tar.gz

BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:	python2
BuildRequires:  python2-setuptools
Requires:       python2
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:       python-paramiko = %{version}
Provides:	python2-paramiko = %{version}
BuildArch:      noarch

%description
"Paramiko" is a combination of the Esperanto words for "paranoid" and "friend". It's a module for Python 2.6+/3.3+ that implements the SSH2 protocol for secure (encrypted and authenticated) connections to remote machines. Unlike SSL (aka TLS), SSH2 protocol does not require hierarchical certificates signed by a powerful central authority. You may know SSH2 as the protocol that replaced Telnet and rsh for secure access to remote shells, but the protocol also includes the ability to open arbitrary channels to remote services across the encrypted tunnel (this is how SFTP works, for example).

%prep
%setup -q -n %{name}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files

%license LICENSE
%doc README.rst
%{python2_sitelib}/paramiko*

%changelog
* Fri Dec 13 2024 Alexander Lushin <alexander.lushin@mail.ru> - 1.17.4-1
- Rebulit for el7
